<template>
<div class="assignment">
  <div class="title">
    진행 중인 과제
  </div>
      <div class="sorting">
        <div class="radio">
          날짜: 
          <el-radio-group v-model="reverse">
            <el-radio :label="true">내림차순</el-radio>
            <el-radio :label="false">오름차순</el-radio>
          </el-radio-group>
        </div>
      </div>
    <div class="timeline">
    <el-timeline :reverse="reverse">
        <el-timeline-item v-for="board in boards" :key="board.board_id" :timestamp="board.date" placement="top">
          <el-card>
            <h4>{{board.className}}</h4>
            <p>{{board.name}}</p>
          </el-card>
        </el-timeline-item>
    </el-timeline>
    </div>
  </div>
  </div>
</template>

<script>
import { mapState, mapActions } from 'vuex';
import classService from '../../services/classService';
export default {
    computed: {
        ...mapState('NNclass', ['studyingClassList']),
    },
    methods: {
        ...mapActions('NNclass', [
        'getClassLists',
        'getMyClassLists',
        'deleteClassUser',
    ]),
    },
    async mounted() {
        const vm = this;
        // vm.lectureNum = (await classService.getMyClassList()).data.studyingClasses.length;
        const tempBoards = (await classService.getMyBoards());
        // console.log(tempBoards)
        vm.boards = tempBoards.data.boards.map(board => ({
        className: board.class.name,
        name: board.name,
        content: board.content,
        date: this.getFormatDate(new Date(board.created_at)),
        classId: board.class_id,
        boardId: board.board_id,
        })).sort((a, b) => {
        return b.date - a.date;
    });
    },
    data() {
        return {
        boards: [],
        reverse: true,
        }
    },
    methods:{
        getFormatDate(date){
            var year = date.getFullYear();              //yyyy
            var month = (1 + date.getMonth());          //M
            month = month >= 10 ? month : '0' + month;  //month 두자리로 저장
            var day = date.getDate();                   //d
            day = day >= 10 ? day : '0' + day;          //day 두자리로 저장
            return (year + '-' + month + '-' + day);       //'-' 추가하여 yyyy-mm-dd 형태 생성 가능
        },
    }

}
</script>

<style>
.assignment ::-webkit-scrollbar{
  display: none;
}

.title {
  display: inline;
  color: black;
  font-family: "Apple SD Gothic Neo";
  font-size: 35px;
  font-weight: bold;
  letter-spacing: -0.12px;
  line-height: 43px;
  top: 70px;
  left: 68px;
  position: relative;
}

.sorting {
  position: relative;
  float: right;
  padding-top: 20px;
  padding-right: 40%;
  top: 70px;
  right: 0;
}

.timeline {
  position: relative;
  margin: 0;
  top: 101px;
  left: 68px;
  width: 60%;
}
</style>